Unit FDE22R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure FDE22R(T :Real; var Y :Array of Real; var Z :Array of Real;
                M :Integer);
implementation

procedure FDE22R(T :Real; var Y :Array of Real; var Z :Array of Real;
                M :Integer);
var
R23,CT :Real;
begin
R23 := Y[2-1]*Y[3-1];
CT := 0.13*T;
Z[1-1] := 0.2*(Y[4-1]-Y[1-1]);
Z[2-1] := Y[1-1]+2.0*(Y[2-1]-R23);
Z[3-1] := Y[4-1]-(Y[3-1]-R23);
Z[4-1] := 10.0*Y[1-1]-(61.0-CT)*Y[4-1]+CT;
end;

end.
